<?php
/**
 * Faboba News System 
 * Joomla! 1.5 component fanews
 * @author	Stphane Bouey {@link http://www.faboba.com}
 * @package Joomla
 * @subpackage Fanews
 * @license GNU/GPL
 * @Copyright (C) 2010 Faboba.com
 */
defined('_JEXEC') or die('Restricted access');
JHTML::_('behavior.tooltip');
?>

<form action = "index.php?option=com_fanews&controller=fanews" method="POST" name="adminForm">
    <table class="adminlist" width="100%">
        <thead>
            <tr>
                <th width="2%">
                    <div align="center">
                      <input type="checkbox" name="toggle" value="" onclick="checkAll(<?php echo count($this->items); ?> ) ;" />
                    </div>
                </th>
                <th width="29"><?php echo JText::_( 'ID' ); ?></th>
                <th class="title" width="200"><div align="left"><span class="key"><?php echo JText::_( 'TITLE' ); ?></span></div></th>
                <th class="title" width="200"><div align="left"><span class="key"><?php echo JText::_( 'PUBLISHED' ); ?></span></div></th>
                <th class="title" width="200"><div align="left"><span class="key"><?php echo JText::_( 'CREATED' ); ?></span></div></th>
                <th class="title" width="200"><div align="left"><span class="key"><?php echo JText::_( 'MODIFIED' ); ?></span></div></th>
                <th class="title"><div align="left"><span class="key"><?php echo JText::_( '' ); ?></span></div></th>
            </tr>
        </thead>
        <?php

        $k = 0;
        for ($i = 0, $n = count($this->items); $i < $n; $i++ ) {

            $row        = &$this->items[$i];

            $published 	= JHTML::_('grid.published', $row, $i );
            $checked    = JHTML::_('grid.id', $i, $row->id );
            $link 	= JRoute::_( 'index.php?option=' .$option. '&controller=fanews&task=edit&cid='.$row->id.'' );
            $delete     = 'index.php?option=' .$option. '&controller=fanews&task=remove&cid='.$row->id;

            ?>
        <tr class="<?php echo "row$k"; ?>">
            <td><div align="center"><?php echo $checked; ?></div></td>
            <td align="left"> <a href="<?php echo $link; ?>"><?php echo $row->id; ?></a></td>
            <td align="left"> <a href="<?php echo $link; ?>"><?php echo $row->title; ?></a></td>
            <td align="left"><?php echo $published; ?></td>
            <td align="left"> <a href="<?php echo $link; ?>"><?php echo $row->created; ?></a></td>
            <td align="left"> <a href="<?php echo $link; ?>"><?php echo $row->modified; ?></a></td>
            <td align="left"></td>
        </tr>
            <?php
            $k=1 - $k;
        }
        ?>
    </table>
    <input name = "option" type="hidden" value="<?php echo $option; ?>" />
    <input name = "task" type="hidden" value="" />
    <input name = "boxchecked" type="hidden" value="0"/>
    <input name = "controller" type="hidden" value="fanews"/>

</form>